package com.jasamedika.medifirst2000.vo;

import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class AkunVO extends BaseMasterVO{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -3066610738047158398L;

	@NotNull(message="Akun tidak boleh kosong")
	@Caption(value = "Akun")
	private String namaAkun;
	
	@NotNull(message = "Kode Akun tidak boleh kosong") 
	@Caption(value = "Kode Akun")
	private String kodeAkun;
	
	@NotNull(message = "Keterangan tidak boleh kosong") 
	@Caption(value = "Keterangan")
	private String ketAkun;

	public String getNamaAkun() {
		return namaAkun;
	}

	public void setNamaAkun(String namaAkun) {
		this.namaAkun = namaAkun;
	}

	public String getKodeAkun() {
		return kodeAkun;
	}

	public void setKodeAkun(String kodeAkun) {
		this.kodeAkun = kodeAkun;
	}

	public String getKetAkun() {
		return ketAkun;
	}

	public void setKetAkun(String ketAkun) {
		this.ketAkun = ketAkun;
	}
}
